# https://github.com/eonpatapon/gnome-shell-extensions-mediaplayer/commit/065ea3b5a16a4e99f4d296cd4c3e7ba84057bbd1
%global commit  065ea3b5a16a4e99f4d296cd4c3e7ba84057bbd1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20170520

# Minimum GNOME Shell version supported
%global min_gs_version 3.20

%global uuid mediaplayer@patapon.info
%global _gsextdir %{_datadir}/gnome-shell/extensions

Name:           gnome-shell-extension-media-player-indicator
Version:        0
Release:        0.11.%{gitdate}git%{shortcommit}%{?dist}
Summary:        Control MPRIS2 capable media players: Rhythmbox, Banshee, Clementine and more

License:        GPLv2+
URL:            https://extensions.gnome.org/extension/55/media-player-indicator/
Source0:        https://github.com/eonpatapon/gnome-shell-extensions-mediaplayer/archive/%{commit}/mediaplayer-indicator-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  gnome-common
Requires:       gnome-shell-extension-common >= %{min_gs_version}

%description
This GNOME Shell extension controls any MPRIS v2.1 capable media player.

This extension will monitor D-Bus for active players and automatically display
them in the GNOME Shell's volume menu by default.

%prep
%setup -q -c -n mediaplayer-indicator-%{shortcommit}

%build
pushd gnome*
./autogen.sh --prefix=%{_prefix}
%make_build
popd

%install
pushd gnome*
%make_install
install -d %{buildroot}/%{_gsextdir}/%{uuid}
popd

%find_lang gnome-shell-extensions-mediaplayer

%postun
if [ $1 -eq 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :

%files -f gnome-shell-extensions-mediaplayer.lang
%doc gnome*/README.md
%license gnome*/COPYING
%dir %{_gsextdir}/%{uuid}
%{_gsextdir}/*/metadata.json
%{_gsextdir}/*/stylesheet.css
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.mediaplayer.gschema.xml
%{_datadir}/gnome-shell/extensions/*/*.js

%changelog
* Sat May 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.11.20170520git065ea3b
- Update to new git snapshot 0-0.11.20170520git065ea3b

* Sat Apr 22 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.10.20170417git09749bb
- Update to new git snapshot 0-0.10.20170417git09749bb

* Sun Apr 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.9.20170401git2be196b
- Update to new git snapshot 0-0.9.20170401git2be196b

* Tue Mar 14 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.8.20170314git61d9118
- Update to new git snapshot 0-0.8.20170314git61d9118
- Remove RR glib2

* Sat Mar 11 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.7.20170311git0810df8
- Update to new git snapshot 0-0.7.20170311git0810df8
- Clanup specfile
- Add pushd/popd
- Update license field to GPLv2+

* Thu Mar 09 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.6.20170308git67e54ae
- Use Version 0 until upstream formally designates an actual version

* Wed Mar 08 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.5.20170308git67e54ae
- Update to new git snapshot 0-0.5.20170308git67e54ae
- Add INSTALL="install -p"

* Fri Feb 03 2017 Martin Gansser <martinkg@fedoraproject.org> - 0-0.4.20170201gite7ed852
- Update to new git snapshot 0-0.4.20170201gite7ed852

* Tue Nov 15 2016 Martin Gansser <martinkg@fedoraproject.org> - 0-0.3.20161103gitb20fa7f
- Update to new git snapshot 0-0.3.20161103gitb20fa7f
- Used wildcard instead of manually enumerate files in section files

* Wed Nov 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 0-0.2.20161103gitb20fa7f
- Update to new git snapshot 0-0.2.20161103gitb20fa7f

* Wed Oct 26 2016 Martin Gansser <martinkg@fedoraproject.org> - 0-0.1.20161010gite2cc6d4
- initial build for Fedora
